#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		sname	champlain
%global		svers	%(echo 0.12.21 | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	libchamplain
Version		:	0.12.21
Release		:	17.2.0.rel%{?dist}
Summary		:	Map view for Clutter

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://wiki.gnome.org/Projects/libchamplain

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	clutter-devel
BuildRequires	:	clutter-gtk
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	libsoup
BuildRequires	:	meson
BuildRequires	:	sqlite
BuildRequires	:	gtk3+
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md NEWS
%license COPYING
%{_libdir}/girepository-1.0/Champlain-%{svers}.typelib
%{_libdir}/%{name}-%{svers}.so.0*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains development files for %{name}.
 
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}-%{svers}/%{sname}/%{sname}*.h
%{_includedir}/%{sname}-%{svers}/%{sname}-gtk/*.h
%{_libdir}/%{name}-%{svers}.so
%{_libdir}/%{name}-gtk-%{svers}.so
%{_libdir}/pkgconfig/%{sname}-%{svers}.pc
%{_libdir}/pkgconfig/%{sname}-gtk-%{svers}.pc
%{_datadir}/gtk-doc/html/%{sname}-%{svers}/*.{css,html,png}
%{_datadir}/gir-1.0/Champlain-%{svers}.gir
%{_datadir}/gir-1.0/GtkChamplain-%{svers}.gir
%{_datadir}/vala/vapi/%{sname}-%{svers}.deps
%{_datadir}/vala/vapi/%{sname}-%{svers}.vapi
%{_datadir}/vala/vapi/%{sname}-gtk-%{svers}.deps
%{_datadir}/vala/vapi/%{sname}-gtk-%{svers}.vapi

#=============================================================================
%package		gtk
Summary		:	Gtk+ widget wrapper for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		gtk
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.
 
#-----------------------------------------------------------------------------
%files			gtk
%defattr(-,root,root,-)
%{_libdir}/girepository-1.0/GtkChamplain-%{svers}.typelib
%{_libdir}/%{name}-gtk-%{svers}.so.0*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D gtk_doc=true					\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
